%define api3		2.91
%define lib3_major	0
%define lib3_name	%mklibname vte 2.91 %{lib3_major}
%define gir3name	%mklibname vte-gir %{api3}
%define develname3	%mklibname -d %{name}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		vte291
Version:	0.40.2
Release:	1
Summary:	A terminal emulator widget
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.gnome.org/
Source0:	http://download.gnome.org/sources/vte/%{url_ver}/vte-%{version}.tar.xz

# https://bugzilla.gnome.org/show_bug.cgi?id=688456
Patch0:         0001-widget-Only-show-the-cursor-on-motion-if-moved.patch

# https://bugzilla.gnome.org/show_bug.cgi?id=711059
Patch100:       vte291-command-notify.patch

BuildRequires:	pkgconfig(cairo-xlib)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.1.9
BuildRequires:	pkgconfig(pango) >= 1.22.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	automake
BuildRequires:	gperf
BuildRequires:	gtk-doc
BuildRequires:	gobject-introspection-devel
BuildRequires:	intltool
BuildRequires:	pkgconfig(libvala-0.28)
BuildRequires:	vala-tools
BuildRequires:	appdata-tools

Conflicts:	vte3 < 0.36.3

%description
VTE is a terminal emulator widget for use with GTK+ 3.0.

%package -n %{lib3_name}
Summary:	A terminal emulator widget
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n %{lib3_name}
VTE is a terminal emulator widget for use with GTK+ 3.0.

%package -n %{develname3}
Summary:	Files needed for developing applications which use VTE
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib3_name} = %{version}-%{release}

%description -n %{develname3}
VTE is a terminal emulator widget for use with GTK+ 3.0.  This
package contains the files needed for building applications using VTE.

%package -n %{gir3name}
Summary:	GObject Introspection interface description for vte with GTK+ 3.0
Group:		System/Libraries
Requires:	%{lib3_name} = %{version}-%{release}
Conflicts:	%{lib3_name} < 0.28.1-2

%description -n %{gir3name}
GObject Introspection interface description for vte with GTK+ 3.0.

%prep
%setup -q -n vte-%{version}
%apply_patches

%build
./autogen.sh
%configure2_5x \
	--enable-shared \
	--disable-static \
	--libexecdir=%{_libexecdir}/vte-%{api3} \
	--enable-gtk-doc \
	--enable-gnome-pty-helper \
	--enable-introspection
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete
%find_lang vte-%{api3}

%files -f vte-%{api3}.lang
%doc COPYING HACKING NEWS README
%{_bindir}/vte-%{api3}
%{_sysconfdir}/profile.d/vte.sh
%dir %{_libdir}/vte-%{api3}
%attr(2711,root,utmp) %{_libexecdir}/vte-%{api3}/gnome-pty-helper

%files -n %{lib3_name}
%{_libdir}/libvte-%{api3}.so.%{lib3_major}*

%files -n %{gir3name}
%{_libdir}/girepository-1.0/Vte-%{api3}.typelib

%files -n %{develname3}
%doc %{_datadir}/gtk-doc/html/vte-%{api3}
%{_includedir}/vte-%{api3}
%{_libdir}/libvte-%{api3}.so
%{_libdir}/pkgconfig/vte-%{api3}.pc
%{_datadir}/gir-1.0/Vte-%{api3}.gir
%{_datadir}/vala/vapi/vte-2.91.vapi

%changelog

* Tue May 12 2015 Tigro <ashejn@yandex-team.ru> 0.40.2-1
- (5ecddd1) update to 0.40.2

* Mon Apr 27 2015 Tigro <ashejn@yandex-team.ru> 0.40.0-2
- (e75f1c9) added C: vte3 < 0.36.3

* Tue Mar 24 2015 Tigro <ashejn@gmail.com> 0.40.0-1
- (4dd464c) run autogen.sh first
- (Tigro: 68d3665) update to 0.40.0

* Sat Mar 21 2015 Tigro <ashejn@gmail.com> 0.39.92-1
- (9127d6d) update to 0.39.92

* Thu Mar 19 2015 Tigro <ashejn@yandex-team.ru> 0.39.90-3
- (abf6d5f) back notify patch

* Sat Mar 14 2015 Tigro <ashejn@gmail.com> 0.39.90-2
- (a3781dd) disable notify patch

* Wed Mar 11 2015 Tigro <ashejn@yandex-team.ru> 0.39.90-1
- (ce07fba) fix version
- (Tigro: 2fbcadb) another path for libexec
- (Tigro: c8c6287) Revert "drop libexecname definition"
- (Tigro: c8c6287) This reverts commit bd5b066b29fbef770cca9bb5574796b3486ca4de.
- (Tigro: bd5b066) drop libexecname definition
- (Tigro: 661ab47) added BR: gpref
- (Tigro: 9f4a711) apply patches and enable gnome-pty-helper
- (Tigro: 08c2e4d) pack files
- (Tigro: f80160e) added BR: appdata-tools
- (Tigro: b55d9eb) fix typo
- (Tigro: 9616f61) update to 0.39.90

* Tue Mar 10 2015 Tigro <ashejn@gmail.com> None
- (29bece7) update to 0.36.3
- (Tigro: 6ff38e0) Revert "update to 0.39.90"
- (Tigro: 6ff38e0) This reverts commit 7301f4832139ef8324b44c2581397fcd0f8919e0.
- (Tigro: 48f997d) Revert "added BR for vala"
- (Tigro: 48f997d) This reverts commit 32e2fae73e6153381d70a326d4538745fa01205b.
- (Tigro: c5a04cc) Revert "bump api"
- (Tigro: c5a04cc) This reverts commit dd9d4f718ff3b5cbf5a843d695782f63f1c703a7.
- (Tigro: dd9d4f7) bump api
- (Tigro: 32e2fae) added BR for vala
- (Tigro: 4c5e22b) added BR: gnutls
- (Tigro: 7301f48) update to 0.39.90
- (Alex Burmashev: 92bc45f) MassBuild#440: Increase release tag
- (Tigro: a35cbe3) update to 3.12.2
- (Tigro: 665c308) update to 0.36.1
- (Tigro: 9dfd148) update to 0.34.7
- (root: ac6f27b) update to 0.34.6


